#include <bits/stdc++.h>

using namespace std;

int main()
{
    int a,b,x,y;
    cin>>a>>b>>x>>y;
    if(a==x && b!=y) cout<<"drugi";
    if(a!=x && b==y) cout<<"prvi";
    if(a==x && b==y) cout<<"nijedan";
    if(a!=x && b!=y) cout<<"?";
    return 0;
}